# Popup

Home Search

## Popup

- Basics
- Options
- Methods
- Events

The popup plugin has the following methods:

`open( options )` display the popup using the specified options

      $( ".selector" ).popup( "open", options );

  `options` is an object literal which may have any of the following properties:

  `x` | The x-coordinate where the popup is to be displayed.
  `y` | The y-coordinate where the popup is to be displayed.
  `transition` | The transition to use during the opening sequence.
  `positionTo` | The positioning to use.

  If `x` or `y` is missing, and no jQuery selector is given as the value of `positionTo`, the middle of the window will be used.

  `transition` can be used to override the popup's own `transition` option. This will result in the popup opening via the transition specified in the call, but the popup's `transition` option will not be updated.

  Similarly, `data-position-to` can be used to override the popup's default positioning without modifying the value of the popup's `positionTo` option. The values available for `positionTo` are the same as those for the popup's `positionTo` option (see options page).

`close` close an open popup

      $( ".selector" ).popup( "close" );

### More in this section

- Pages & Dialogs
- Anatomy of a page
- Single page template
- Multi-page template
- Page titles
- Linking pages
- Page transitions
- Page loading widget
- Dialogs
- Popups
- Prefetching & caching pages
- Ajax, hashes & history
- Dynamically Injecting Pages
- Scripting pages
- PhoneGap apps
- touchOverflow feature
- Theming pages